<%@ page language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%> 
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>
<%@taglib uri="/WEB-INF/lib/sa.tld" prefix="sa"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.fm.storade.ui.viewbeans.jobs.HistoricalJobsViewBean">

<script language="javascript">
// This function will toggle the disabled state of action buttons
// depending on single or multiple selections.

function toggleDisabledState() {
   // Action button and menu names.
   var deleteButton  = "HistoricalJobs.deleteButton";

   // Element name (prefix) of selection checkbox/radiobutton.
   var elementName = "HistoricalJobs.JobsTable.Selection";

   // Document form.
   var form = document.jobsForm;

   // Flag indicating to disable action button and menu options.
   var disabled = true;

   // Set flags according to single or multiple selections.
   for (i = 0; i < form.elements.length; i++) {
      var e = form.elements[i];

      if (e.name.indexOf(elementName) != -1) {
         if (e.checked) {
            disabled = false;
            break;
         }
      }
   }

   // Toggle action button disabled state.
   ccSetButtonDisabled(deleteButton, "jobsForm", disabled);
}
</script>


<sa:primarymasthead name="Masthead" showDefaultPageTitle="simple">

<jato:form name="jobsForm" method="post">

<cc:spacer name="spacer" height="15" newline="true"/>

<cc:actiontable
 name="JobsTable"
 bundleID="appBundle"
 title="jobs.table.title.historical"
 summary="jobs.table.summary"
 empty="jobs.table.historical.empty"
 selectionType="multiple"
 selectionJavascript="toggleDisabledState()"
 showAdvancedSortingIcon="false"
 showLowerActions="true"
 showPaginationControls="true"
 showPaginationIcon="false"
 showSelectionIcons="true"
 page="1" />

</jato:form>

</sa:primarymasthead>

</jato:useViewBean>
